/**
 * Fallback document provider
 */
export class ProviderMock {
    constructor() {
        this._isDisposed = false;
    }
    /**
     * Test whether the object has been disposed.
     */
    get isDisposed() {
        return this._isDisposed;
    }
    /**
     * Returns a Promise that resolves when the document provider is ready.
     */
    get ready() {
        return Promise.resolve();
    }
    /**
     * Dispose of the resources held by the object.
     */
    dispose() {
        if (this.isDisposed) {
            return;
        }
        this._isDisposed = true;
    }
}
//# sourceMappingURL=mock.js.map